"""Calvera: A collection of multi-armed bandit algorithms designed for integration with PyTorch and PyTorch Lightning.

Calvera provides implementations of various bandit algorithms including:
  - Linear Thompson Sampling
  - Linear UCB
  - Neural Linear
  - Neural Thompson Sampling
  - Neural UCB

Additionally, it offers customizable selectors such as:
  - ArgMaxSelector
  - EpsilonGreedySelector
  - RandomSelector
  - TopKSelector

For more information, please refer to the documentation at:
http://neural-bandits.github.io/calvera/
"""

__version__ = "0.1.5"
__author__ = "Philipp Kolbe, Robert Weeke, Parisa Shahabinejad"
__license__ = "MIT"
